<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>


	<ItemGroup>
		<PackageReference Include="Marten" Version="7.8.0" />
		<PackageReference Include="AWSSDK.S3" Version="3.7.307.19" />
		<PackageReference Include="Refit" Version="7.0.0" />
	</ItemGroup>


	<ItemGroup>
	  <ProjectReference Include="..\Netina.Core\Netina.Core.csproj" />
	</ItemGroup>


	<ItemGroup>
	  <Using Include="Amazon.S3" />
	  <Using Include="Amazon.S3.Model" />
	  <Using Include="Microsoft.Extensions.Hosting" />
	  <Using Include="Microsoft.Extensions.Logging" />
	  <Using Include="Microsoft.Extensions.Options" />
	  <Using Include="Netina.Common.Extensions" />
	  <Using Include="Netina.Common.Models" />
	  <Using Include="Netina.Common.Models.Api" />
	  <Using Include="Netina.Common.Models.Entity" />
	  <Using Include="Netina.Common.Models.Exception" />
	  <Using Include="Netina.Core.Abstracts" />
	  <Using Include="Netina.Domain.Models.Settings" />
	  <Using Include="Netina.Infrastructure.Models.RestApi.KaveNegar" />
	  <Using Include="Netina.Infrastructure.RestServices" />
	  <Using Include="Netina.Repository.Repositories.Marten" />
	  <Using Include="Refit" />
	  <Using Include="System.Linq.Expressions" />
	</ItemGroup>


	<ItemGroup>
	  <Folder Include="Services\Scrapers\" />
	</ItemGroup>

</Project>
